Page MenuHomePhabricator

Run tests to measure the expected zero results change of changing suggestions algorithm
Closed, ResolvedPublic

Event Timeline

EBernhardson raised the priority of this task from to Needs Triage.
EBernhardson updated the task description. (Show Details)
EBernhardson added a subscriber: EBernhardson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 20 2015, 4:41 PM

I've pulled two sets of logs from fluorine to run through the new suggestions api. Based on this data it looks like we might be able to achieve almost a 40% reduction in the zero result rate of prefix searches by replacing it with the completion suggester.


First set:

This is an unsampled log and contains all prefix searches for enwiki_content that returned no results between 2015-08-26 08:02:23 and 2015-08-26 08:15:49.

APIresultsno resultszero %
prefix_search0100000100%
completion_suggest382956173162%

Second set

This is every 100th(take 1, throw away 99, repeat) prefix search issued to enwiki_content between 2015-08-25 08:03:30 and 2015-08-26 08:02:23

APIresultsno resultszero %
prefix_search28821013446932%
completion_suggest3405628218319%

Ran same test for dewiki


First set

Unsampled log contains all prefix searches for dewiki_content that returned no results between 2015-08-26 08:02:23 to 2015-08-26 08:48:07

APIresultsno resultszero %
prefix_search0100000100%
completion_suggest446785533355%

Second set

every 100th(take 1, throw away 99, repeat) prefix search issued to dewiki_content between 2015-08-25 08:03:31 to 2015-08-26 08:02:23

APIresultsno resultszero %
prefix_search586412328333%
completion_suggest697091221615%
Deskana closed this task as Resolved.Aug 27 2015, 4:33 PM
Deskana added a subscriber: Deskana.

Sweet! Nice report.